API Validasi Push
Fungsi
API ini memvalidasi permintaan push tanpa mengirim pesan kepada pengguna. Parameter permintaannya sama dengan Create Push API.
Endpoint
POST /v4/push/validate
POST /v4/push/validate
Tampilkan blok kode ini di jendela mengambang
Autentikasi
Lihat autentikasi di Ringkasan REST API.
Contoh permintaan
POST /v4/push/validate HTTP/1.1
Content-Type: application/json
Authorization: Basic <base64(appKey:appSecret)>
POST /v4/push/validate HTTP/1.1
Content-Type: application/json
Authorization: Basic <base64(appKey:appSecret)>
Tampilkan blok kode ini di jendela mengambang
Isi permintaan
{
"from": "push",
"to": "all",
"body": {
"platform": "web",
"notification": {
"alert": "Hi,MTPush !",
"web": {
"alert": "web_push",
"title": "web_push",
"url": "http://www.google.com",
"extras": {
"web-key1": "web-value1"
}
}
}
},
"request_id": "12345678",
"custom_args": {
"business": "info"
}
}
{
"from": "push",
"to": "all",
"body": {
"platform": "web",
"notification": {
"alert": "Hi,MTPush !",
"web": {
"alert": "web_push",
"title": "web_push",
"url": "http://www.google.com",
"extras": {
"web-key1": "web-value1"
}
}
}
},
"request_id": "12345678",
"custom_args": {
"business": "info"
}
}
Tampilkan blok kode ini di jendela mengambang
Contoh respons
{
"request_id": "18",
"msg_id": "1828256757"
}
{
"request_id": "18",
"msg_id": "1828256757"
}
Tampilkan blok kode ini di jendela mengambang










